<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>TIML: appCNNConvertSBD.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIML
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_4f218e5c1c68a8760266841df915118e.html">src</a></li><li class="navelem"><a class="el" href="dir_230ff266809b6c822309e6868f081b10.html">app</a></li><li class="navelem"><a class="el" href="dir_e5b67a8a4144e6ae177326db1accf5e2.html">cnn</a></li><li class="navelem"><a class="el" href="dir_16155ae07eaa5c921aeed81c92821729.html">convert</a></li><li class="navelem"><a class="el" href="dir_e1393c852092c48229ff3d401bdaf28b.html">sbd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">appCNNConvertSBD.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;opencv2/opencv.hpp&gt;</code><br/>
<code>#include &lt;opencv2/core/core.hpp&gt;</code><br/>
<code>#include &lt;opencv2/imgproc/imgproc.hpp&gt;</code><br/>
<code>#include &lt;iostream&gt;</code><br/>
<code>#include &lt;stdio.h&gt;</code><br/>
<code>#include &lt;sys/stat.h&gt;</code><br/>
<code>#include &lt;unistd.h&gt;</code><br/>
<code>#include &lt;cstdlib&gt;</code><br/>
</div>
<p><a href="appCNNConvertSBD_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a3ef4d844a2b206b0c75d825df0730786"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3ef4d844a2b206b0c75d825df0730786"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IMAGE_ROW</b>&#160;&#160;&#160;240</td></tr>
<tr class="separator:a3ef4d844a2b206b0c75d825df0730786"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a616d34efcb208f35303ae84b764bce30"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a616d34efcb208f35303ae84b764bce30"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IMAGE_COL</b>&#160;&#160;&#160;320</td></tr>
<tr class="separator:a616d34efcb208f35303ae84b764bce30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32ee58f73d9de0d1d41ad46f7bff2719"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a32ee58f73d9de0d1d41ad46f7bff2719"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>RAND_SEED</b>&#160;&#160;&#160;1</td></tr>
<tr class="separator:a32ee58f73d9de0d1d41ad46f7bff2719"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af47dd10206214a395e4e7c3464c88420"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af47dd10206214a395e4e7c3464c88420"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>NAME_BUFFER_SIZE</b>&#160;&#160;&#160;50</td></tr>
<tr class="separator:af47dd10206214a395e4e7c3464c88420"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af79246fe2def4b724c909fb211276288"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af79246fe2def4b724c909fb211276288"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SBD_IMAGE_NUM</b>&#160;&#160;&#160;715</td></tr>
<tr class="separator:af79246fe2def4b724c909fb211276288"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7307d57db2761f732af268e1d9eefd29"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7307d57db2761f732af268e1d9eefd29"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SBD_TRAIN_NUM</b>&#160;&#160;&#160;572</td></tr>
<tr class="separator:a7307d57db2761f732af268e1d9eefd29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a079c38892bc31a44f193e7ea0c53b259"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a079c38892bc31a44f193e7ea0c53b259"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SBD_TRAIN_CONVERT_FOLDER_MODE</b>&#160;&#160;&#160;0777</td></tr>
<tr class="separator:a079c38892bc31a44f193e7ea0c53b259"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad413beadf825ed17c7ff798f1670f49f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad413beadf825ed17c7ff798f1670f49f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SBD_TEST_NUM</b>&#160;&#160;&#160;143</td></tr>
<tr class="separator:ad413beadf825ed17c7ff798f1670f49f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa75a66ee790c885f3b607623f83485e2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa75a66ee790c885f3b607623f83485e2"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SBD_TEST_CONVERT_FOLDER_MODE</b>&#160;&#160;&#160;0777</td></tr>
<tr class="separator:aa75a66ee790c885f3b607623f83485e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a05ca8ebca1ef54b0c21f129f3eca8368"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><b>appCNNConvertError</b> { <b>ERROR_APP_CNN_CONVERT_ARG</b>, 
<b>ERROR_APP_CNN_CONVERT_IMAGE_NUM</b>, 
<b>ERROR_APP_CNN_CONVERT_ARG</b>, 
<b>ERROR_APP_CNN_CONVERT_IMAGE_NUM</b>
 }</td></tr>
<tr class="separator:a05ca8ebca1ef54b0c21f129f3eca8368"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga226073dad2d094fb581f703f1ac8b0bf"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__appCNNConvertSBD.html#ga226073dad2d094fb581f703f1ac8b0bf">appCNNConvertSBDShuffle</a> (char **names, int n)</td></tr>
<tr class="memdesc:ga226073dad2d094fb581f703f1ac8b0bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shuffle the images.  <a href="group__appCNNConvertSBD.html#ga226073dad2d094fb581f703f1ac8b0bf">More...</a><br/></td></tr>
<tr class="separator:ga226073dad2d094fb581f703f1ac8b0bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Mar 20 2015 11:26:08 for TIML by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
